{"swagger":"2.0","host":"api.pennsieve.io","info":{"title":"Pennsieve Swagger","version":"1.0.0","description":"Swagger documentation for the Pennsieve api","termsOfService":"https://docs.pennsieve.io/docs/pennsieve-terms-of-service","contact":{"name":"Pennsieve Team","url":"https://docs.pennsieve.io","email":"support@pennsieve.net"},"license":{"name":"All rights reserved","url":"https://docs.pennsieve.io"}},"paths":{"/data/delete":{"post":{"operationId":"deleteItems","summary":"deletes items","tags":["Data"],"deprecated":false,"parameters":[{"name":"itemIds","description":"items to delete","required":true,"in":"body","schema":{"$ref":"#/definitions/DeleteRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeleteResponse"}}},"security":[{"api_key":[]}]}},"/data/move":{"post":{"operationId":"moveItems","summary":"moves files or packages into a destination package","tags":["Data"],"deprecated":false,"parameters":[{"name":"moveRequest","description":"list of ids of files and packages to move, as well as their destination","required":true,"in":"body","schema":{"$ref":"#/definitions/MoveRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/MoveResponse"}}},"security":[{"api_key":[]}]}},"/data/{id}/properties":{"put":{"operationId":"updateProperties","summary":"updates the properties on a node","tags":["Data"],"deprecated":false,"parameters":[{"name":"id","description":"identifies the object you want to add properties for","required":true,"in":"path","type":"string"},{"name":"body","description":"the properties","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdatePropertiesRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PackageDTO"}}},"security":[{"api_key":[]}]}},"/annotations/":{"post":{"operationId":"createAnnotation","summary":"creates an annotation","tags":["Annotations"],"deprecated":false,"parameters":[{"name":"createAnnotationRequest","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateAnnotationRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AnnotationResponse"}}},"security":[{"api_key":[]}]}},"/annotations/layer":{"post":{"operationId":"createLayer","summary":"creates an annotation layer","tags":["Annotations"],"deprecated":false,"parameters":[{"name":"createLayerRequest","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateLayerRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AnnotationLayer"}}},"security":[{"api_key":[]}]}},"/annotations/layer/{id}":{"delete":{"operationId":"deleteLayer","summary":"delete an annotation layer","tags":["Annotations"],"deprecated":false,"parameters":[{"name":"id","description":"the id of the layer to delete","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"put":{"operationId":"updateLayer","summary":"update an annotation layer","tags":["Annotations"],"deprecated":false,"parameters":[{"name":"id","description":"the ID of the Annotation Layer","required":true,"in":"path","type":"string"},{"name":"updateLayerRequest","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateLayerRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AnnotationLayer"}}},"security":[{"api_key":[]}]}},"/annotations/{id}":{"delete":{"operationId":"deleteAnnotation","summary":"delete an annotation","tags":["Annotations"],"deprecated":false,"parameters":[{"name":"id","description":"the id of the annotation","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int32"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getAnnotationOperation","summary":"get an annotation","tags":["Annotations"],"deprecated":false,"parameters":[{"name":"id","description":"the id of the annotation","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AnnotationResponse"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateAnnotation","summary":"updates an annotation","tags":["Annotations"],"deprecated":false,"parameters":[{"name":"id","description":"the id of the annotation","required":true,"in":"path","type":"string"},{"name":"body","description":"the comment to add","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateAnnotationRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AnnotationResponse"}}},"security":[{"api_key":[]}]}},"/health/":{"get":{"operationId":"getHealth","summary":"performs a health check","tags":["Health"],"deprecated":false,"parameters":[],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/":{"post":{"operationId":"createDataSet","summary":"creates a new data set that belongs to the current organization a user is logged into","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"name and properties of new data set","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateDataSetRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataSetDTO"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getDataSets","summary":"gets all data sets that a user has permission to and that belong to the given organization","tags":["DataSets"],"deprecated":true,"parameters":[{"name":"includeBannerUrl","description":"If true, presigned banner image URLS will be returned with each dataset","default":"false","required":false,"in":"query","type":"boolean"},{"name":"includePublishedDataset","description":"If true, information about publication will be returned","default":"false","required":false,"in":"query","type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DataSetDTO"}}}},"security":[{"api_key":[]}]}},"/datasets/paginated":{"get":{"operationId":"getPaginatedDataSets","summary":"get a paginated list of datasets","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"limit","description":"max number of datasets returned","default":"25","required":false,"in":"query","type":"integer","format":"int32"},{"name":"offset","description":"offset used for pagination of results","default":"0","required":false,"in":"query","type":"integer","format":"int32"},{"name":"query","description":"parameter for the text search","required":false,"in":"query","type":"string"},{"name":"publicationStatus","description":"Filter by publication status","required":false,"in":"query","type":"string"},{"name":"publicationType","description":"Filter by publication type","required":false,"in":"query","type":"string"},{"name":"collectionId","description":"Filter by collection","required":false,"in":"query","type":"integer","format":"int32"},{"name":"orderBy","description":"which data field to sort results by - values can be Name, IntId or UpdatedAt","default":"Name","enum":[["Name","UpdatedAt","IntId"]],"required":false,"in":"query","type":"string"},{"name":"orderDirection","description":"which direction to order the results by - value can be Desc or Asc","default":"Asc","enum":[["Asc","Desc"]],"required":false,"in":"query","type":"string"},{"name":"onlyMyDatasets","description":"if true, will only show dataset for which the user is the owner","required":false,"in":"query","type":"boolean"},{"name":"withRole","description":"only show datasets for which the user has the role passed as argument","required":false,"in":"query","type":"string"},{"name":"canPublish","description":"If true, only datasets that can be published will be returned.  If false, only datasets that can NOT be published will be returned.","required":false,"in":"query","type":"boolean"},{"name":"includeBannerUrl","description":"If true, presigned banner image URLS will be returned with each dataset","default":"false","required":false,"in":"query","type":"boolean"},{"name":"includePublishedDataset","description":"If true, information about publication will be returned","default":"false","required":false,"in":"query","type":"boolean"},{"name":"type","description":"Specify the type of datasets to be returned","required":false,"in":"query","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PaginatedDatasets"}}},"security":[{"api_key":[]}]}},"/datasets/publication/preview/request":{"post":{"operationId":"requestPreview","summary":"Request preview access to a dataset for the current user.","description":"this endpoint is under active development and subject to change","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"dataset node id for which access is requested","required":true,"in":"body","schema":{"$ref":"#/definitions/PreviewAccessRequest"}}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/published":{"get":{"operationId":"getPublishStatuses","summary":"retrieve the publishing status of all datasets in the organization","tags":["DataSets"],"deprecated":false,"parameters":[],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetPublishStatus"}}},"security":[{"api_key":[]}]}},"/datasets/published/paginated":{"get":{"operationId":"getOrganizationPublishedDatasets","summary":"get a paginated list of published datasets mapped from discover","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"limit","description":"max number of datasets returned","default":"25","required":false,"in":"query","type":"integer","format":"int32"},{"name":"offset","description":"offset used for pagination of results","default":"0","required":false,"in":"query","type":"integer","format":"int32"},{"name":"query","description":"parameter for the text search","required":false,"in":"query","type":"string"},{"name":"orderBy","description":"which data field to sort results by - values can be Name or UpdatedAt","default":"Name","enum":[["Name","UpdatedAt","IntId"]],"required":false,"in":"query","type":"string"},{"name":"orderDirection","description":"which direction to order the results by - value can be Desc or Asc","default":"Asc","enum":[["Asc","Desc"]],"required":false,"in":"query","type":"string"},{"name":"includeBannerUrl","description":"If true, presigned banner image URLS will be returned with each dataset","default":"false","required":false,"in":"query","type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PaginatedPublishedDatasets"}}},"security":[{"api_key":[]}]}},"/datasets/{datasetId}/collections/{collectionId}":{"delete":{"operationId":"removeCollection","summary":"remove this dataset from the Collection","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"collectionId","description":"collection id from which the dataset is to be removed","required":true,"in":"path","type":"integer","format":"int32"},{"name":"datasetId","description":"data set node id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{datasetId}/contributors/switch":{"post":{"operationId":"switchContributorsOrder","summary":"switch the position of the two contributors","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"ids of the contributor whose order need to be switched","required":true,"in":"body","schema":{"$ref":"#/definitions/SwitchContributorsOrderRequest"}},{"name":"datasetId","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{datasetId}/contributors/{contributorId}":{"delete":{"operationId":"removeContributor","summary":"remove contributor from this dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"contributorId","description":"contributor id to remove from the dataset","required":true,"in":"path","type":"integer","format":"int32"},{"name":"datasetId","description":"data set node id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}":{"delete":{"operationId":"deleteDataSet","summary":"Delete a data set","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Done"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getDataSet","summary":"gets a data set and paginates its children","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"},{"name":"includePublishedDataset","description":"If true, information about publication will be returned","default":"false","required":false,"in":"query","type":"boolean"},{"name":"limit","description":"max number of dataset children (i.e. packages) returned","default":"100","required":false,"in":"query","type":"integer","format":"int32"},{"name":"offset","description":"offset used for pagination of children","default":"0","required":false,"in":"query","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataSetDTO"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateDataSet","summary":"updates a data set","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"},{"name":"body","description":"new dataset properties","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateDataSetRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataSetDTO"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/banner":{"get":{"operationId":"getBanner","summary":"get a presigned URL for the banner image of a dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"put":{"operationId":"uploadBanner","summary":"upload the banner image for a dataset","consumes":["multipart/form-data"],"tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"},{"name":"banner","description":"file to upload","required":true,"in":"formData","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetBannerDTO"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/changelog":{"get":{"operationId":"getChangelog","summary":"get the changelog description for a dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"put":{"operationId":"putChangelog","summary":"update the dataset Changelog description","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"},{"name":"body","description":"update dataset changelog","required":true,"in":"body","schema":{"$ref":"#/definitions/DatasetChangelogDTO"}}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/changelog/events":{"get":{"operationId":"getChangelogEvents","summary":"get events from changelog","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"},{"name":"limit","description":"max number of events","default":"25","required":false,"in":"query","type":"integer","format":"int32"},{"name":"cursor","description":"cursor to next page of events","required":true,"in":"query","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ChangelogEventPage"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/changelog/timeline":{"get":{"operationId":"getChangelogTimeLine","summary":"get dataset changelog","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"userId","description":"filter events by user","required":false,"in":"query","type":"integer","format":"int32"},{"name":"startDate","description":"oldest event to return in the timeline","required":false,"in":"query","type":"string","format":"date"},{"name":"category","description":"filter events by category","enum":[["DATASET","PERMISSIONS","PACKAGES","MODELS_AND_RECORDS","PUBLISHING","CUSTOM"]],"required":false,"in":"query","type":"string"},{"name":"cursor","description":"cursor to next page of event groups","required":false,"in":"query","type":"string"},{"name":"limit","description":"max number event groups","default":"25","required":false,"in":"query","type":"integer","format":"int32"},{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ChangelogPage"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/collaborators":{"delete":{"operationId":"unShareDataSet","summary":"unshare this data set with other users","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"},{"name":"body","description":"List of user ids to unshare this data set with","required":true,"in":"body","schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CollaboratorChanges"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getCollaborators","summary":"get the collaborators of the data set","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CollaboratorsDTO"}}},"security":[{"api_key":[]}]},"put":{"operationId":"shareDataSet","summary":"share this data set with another user","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"},{"name":"body","description":"List of user ids to share this data set with","required":true,"in":"body","schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CollaboratorChanges"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/collaborators/organizations":{"delete":{"operationId":"removeOrganizationCollaborator","summary":"unshare this dataset with the organization","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"get":{"operationId":"getOrganizationCollaboratorRole","summary":"get the organizations allowed role on the dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"Role of the organization","required":true,"in":"body","schema":{"$ref":"#/definitions/OrganizationRoleDTO"}},{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"put":{"operationId":"setOrganizationCollaboratorRole","summary":"share this dataset with the rest of the organization","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"Role to set for the organization","required":true,"in":"body","schema":{"$ref":"#/definitions/OrganizationRoleDTO"}},{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/collaborators/owner":{"put":{"operationId":"switchOwner","summary":"switch the owner of a dataset. Previous owner is downgraded to manager","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"intended new owner node id","required":true,"in":"body","schema":{"type":"string"}},{"name":"id","description":"data set node id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/collaborators/teams":{"delete":{"operationId":"deleteTeamCollaborator","summary":"unshare this dataset with a team","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"Team to unshare this dataset with","required":true,"in":"body","schema":{"$ref":"#/definitions/CollaboratorRoleDTO"}},{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"get":{"operationId":"getTeamCollaborators","summary":"get all teams collaborating on the data set","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/TeamCollaboratorRoleDTO"}}}},"security":[{"api_key":[]}]},"put":{"operationId":"addTeamCollaborator","summary":"share this dataset with a team","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"Team to share this dataset with","required":true,"in":"body","schema":{"$ref":"#/definitions/CollaboratorRoleDTO"}},{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/collaborators/users":{"delete":{"operationId":"deleteUserCollaborator","summary":"remove a user who is a collaborator on the dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"User to unshare this dataset with","required":true,"in":"body","schema":{"$ref":"#/definitions/CollaboratorRoleDTO"}},{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"get":{"operationId":"getUserCollaborators","summary":"get the individual users collaborating on the data set","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/UserCollaboratorRoleDTO"}}}},"security":[{"api_key":[]}]},"put":{"operationId":"addUserCollaborator","summary":"add a user as a collaborator on this dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"User to share this dataset with","required":true,"in":"body","schema":{"$ref":"#/definitions/CollaboratorRoleDTO"}},{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/collections":{"get":{"operationId":"getDatasetCollections","summary":"get the collections to the data set","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CollectionDTO"}}}},"security":[{"api_key":[]}]},"put":{"operationId":"addCollection","summary":"add this dataset to a collection","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"collection id which the dataset is to be adeed to","required":true,"in":"body","schema":{"$ref":"#/definitions/AddCollectionRequest"}},{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/contributors":{"get":{"operationId":"getDatasetContributors","summary":"get the contributors to the data set","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ContributorDTO"}}}},"security":[{"api_key":[]}]},"put":{"operationId":"addContributor","summary":"add a contributor to this dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"contributor id to add to the dataset","required":true,"in":"body","schema":{"$ref":"#/definitions/AddContributorRequest"}},{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/doi":{"post":{"operationId":"reserveDoi","summary":"reserves a new DOI for the data set","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"},{"name":"body","description":"metadata about dataset for DOI","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateDraftDoiRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DoiDTO"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getDoi","summary":"retrieves DOI information for the data set","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DoiDTO"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/event":{"post":{"operationId":"triggerEvent","summary":"Message that should be send to subscribed integrations","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"},{"name":"body","description":"EventType and message to be delivered to integrations","required":true,"in":"body","schema":{"$ref":"#/definitions/CustomEventRequest"}}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/ignore-files":{"get":{"operationId":"getIgnoreFiles","summary":"get a list of files to ignore when publishing for a dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetIgnoreFilesDTO"}}},"security":[{"api_key":[]}]},"put":{"operationId":"setIgnoreFiles","summary":"set the files to ignore when publishing for a dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"},{"name":"body","description":"List of file names, can be empty to clear current ignore filenames","required":true,"in":"body","schema":{"type":"array","items":{"$ref":"#/definitions/DatasetIgnoreFileDTO"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetIgnoreFileDTO"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/packageTypeCounts":{"get":{"operationId":"getPackageTypeCounts","summary":"gets a data package type counts","tags":["DataSets"],"deprecated":true,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object","additionalProperties":{"type":"integer","format":"int32"}}}},"security":[{"api_key":[]}]}},"/datasets/{id}/packages":{"get":{"operationId":"getPackages","summary":"get the packages in a dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"},{"name":"cursor","description":"cursor to get next page","required":false,"in":"query","type":"string"},{"name":"pageSize","description":"number of packages in page","default":"100","required":false,"in":"query","type":"integer","format":"int32"},{"name":"includeSourceFiles","description":"include source files for each package","default":"false","required":false,"in":"query","type":"boolean"},{"name":"filename","description":"returns only the packages that have a file matching the filename","required":false,"in":"query","type":"string"},{"name":"types","description":"optional flag to include only packages of this type","required":false,"in":"query","type":"array","items":{"type":"string"}},{"name":"state","description":"optional; repeat to return only packages in the given states. If omitted, packages in the following states are excluded: DELETED, DELETING, RESTORING","enum":[["UNAVAILABLE","UPLOADED","DELETING","DELETED","INFECTED","UPLOAD_FAILED","RESTORING","PROCESSING","READY","PROCESSING_FAILED","ERROR"]],"required":false,"in":"query","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PackagesPage"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/packages/batch":{"get":{"operationId":"getBatchPackages","summary":"get multiple packages","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"packageId","description":"package id","required":true,"in":"query","type":"string"},{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/BatchPackagesPage"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/permission":{"get":{"operationId":"getDatasetPermission","summary":"get the user's effective permission to the dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetPermissionResponse"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/publication/accept":{"post":{"operationId":"acceptedPublicationRevision","summary":"notifies the Discover service to extract and publish a dataset and knowledge graph, or revise the metadata of that graph","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"embargoReleaseDate","description":"release date for embargoed datasets, for example: 2020-03-17","required":false,"in":"query","type":"string"},{"name":"comments","description":"optional explanation","required":false,"in":"query","type":"string"},{"name":"publicationType","description":"this field must match the currently in-progress publication workflow","required":true,"in":"query","type":"string"},{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/publication/cancel":{"post":{"operationId":"cancelledPublicationRevision","summary":"cancel a request for publication or revision","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"embargoReleaseDate","description":"release date for embargoed datasets, for example: 2020-03-17","required":false,"in":"query","type":"string"},{"name":"comments","description":"optional explanation","required":false,"in":"query","type":"string"},{"name":"publicationType","description":"this field must match the currently in-progress publication workflow","required":true,"in":"query","type":"string"},{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/publication/complete":{"put":{"operationId":"publishComplete","summary":"notify API that Discover has completed a publish job","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","description":"status and error message from publish job","required":true,"in":"body","schema":{"$ref":"#/definitions/PublishCompleteRequest"}}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/publication/data-use-agreement":{"get":{"operationId":"getPublicationDataUseAgreement","summary":"get the data use agreement for this dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataUseAgreement"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/publication/preview":{"delete":{"operationId":"deletePreview","summary":"Remove preview access to a user.","description":"this endpoint is under active development and subject to change","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"},{"name":"body","description":"user id for which preview access to the dataset should be revoked","required":true,"in":"body","schema":{"$ref":"#/definitions/RemovePreviewAccessRequest"}}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"post":{"operationId":"postPreview","summary":"Grant preview access to a user. This endpoint can either approve an access request, or grant access to a net-new user.","description":"this endpoint is under active development and subject to change","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"user id for which preview access to the dataset should be granted","required":true,"in":"body","schema":{"$ref":"#/definitions/GrantPreviewAccessRequest"}},{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"get":{"operationId":"getPreview","summary":"retrieve the list of user that have preview rights on the dataset","description":"this endpoint is under active development and subject to change","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DatasetPreviewerDTO"}}}},"security":[{"api_key":[]}]}},"/datasets/{id}/publication/reject":{"post":{"operationId":"rejectedPublicationRevision","summary":"reject a request to publish or revise a dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"embargoReleaseDate","description":"release date for embargoed datasets, for example: 2020-03-17","required":false,"in":"query","type":"string"},{"name":"comments","description":"optional explanation","required":false,"in":"query","type":"string"},{"name":"publicationType","description":"this field must match the currently in-progress publication workflow","required":true,"in":"query","type":"string"},{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/publication/release":{"post":{"operationId":"releaseacceptedPublicationRevision","summary":"internal use only: release an embargoed dataset to Discover","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"embargoReleaseDate","description":"release date for embargoed datasets, for example: 2020-03-17","required":false,"in":"query","type":"string"},{"name":"comments","description":"optional explanation","required":false,"in":"query","type":"string"},{"name":"publicationType","description":"this field must match the currently in-progress publication workflow","required":true,"in":"query","type":"string"},{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/publication/request":{"post":{"operationId":"requestedPublicationRevision","summary":"submit the dataset to publishers for publication or revision","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"embargoReleaseDate","description":"release date for embargoed datasets, for example: 2020-03-17","required":false,"in":"query","type":"string"},{"name":"comments","description":"optional explanation","required":false,"in":"query","type":"string"},{"name":"publicationType","description":"this field must match the currently in-progress publication workflow","required":true,"in":"query","type":"string"},{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/published":{"get":{"operationId":"getPublishStatus","summary":"retrieve the publishing status of a dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetPublishStatus"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/readme":{"get":{"operationId":"getReadme","summary":"get the README description for a dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"put":{"operationId":"putReadme","summary":"update the README description for a dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"},{"name":"body","description":"update dataset readme","required":true,"in":"body","schema":{"$ref":"#/definitions/DatasetReadmeDTO"}}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/datasets/{id}/role":{"get":{"operationId":"getDatasetRole","summary":"get the user's effective role on the dataset","tags":["DataSets"],"deprecated":true,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetRoleResponse"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/status-log":{"get":{"operationId":"getStatusLog","summary":"get the log of the status changes for the data set","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"string"},{"name":"limit","description":"max number of status change returned","default":"25","required":false,"in":"query","type":"integer","format":"int32"},{"name":"offset","description":"offset used for pagination of results","default":"0","required":false,"in":"query","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PaginatedStatusLogEntries"}}},"security":[{"api_key":[]}]}},"/datasets/{id}/webhook":{"get":{"operationId":"getDatasetIntegrations","summary":"Return the enabled integrations for a given dataset. Returns a list of DatasetIntegration.","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DatasetIntegration"}}}},"security":[{"api_key":[]}]}},"/datasets/{id}/webhook/{webhookId}":{"delete":{"operationId":"disableIntegration","summary":"Disable integration for a given dataset. Returns the number of disabled integrations.","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"},{"name":"webhookId","description":"webhook id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int32"}}},"security":[{"api_key":[]}]},"put":{"operationId":"enableIntegration","summary":"Enable integration for a given dataset. Returns a DatasetIntegration.","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"id","description":"dataset id","required":true,"in":"path","type":"string"},{"name":"webhookId","description":"webhook id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetIntegration"}}},"security":[{"api_key":[]}]}},"/datasets/{nodeId}/collaborators/external":{"put":{"operationId":"addExternalCollaborator","summary":"add an external user as a collaborator on this dataset","tags":["DataSets"],"deprecated":false,"parameters":[{"name":"body","description":"External User to share this dataset with","required":true,"in":"body","schema":{"$ref":"#/definitions/CollaboratorRoleDTO"}},{"name":"nodeId","description":"data set node-id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/packages/":{"post":{"operationId":"createPackage","summary":"creates a new package","tags":["Packages"],"deprecated":false,"parameters":[{"name":"body","description":"package to create","required":true,"in":"body","schema":{"$ref":"#/definitions/CreatePackageRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PackageDTO"}}},"security":[{"api_key":[]}]}},"/packages/download-manifest":{"post":{"operationId":"download-package-manifest","summary":"returns the tree structure, including signed s3 urls and the corresponding paths that will make up an archive to download","tags":["Packages"],"deprecated":false,"parameters":[{"name":"body","description":"nodeIds: packages to include in the download, fileIds: optional, only return the provided files","required":true,"in":"body","schema":{"$ref":"#/definitions/DownloadRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DownloadManifestDTO"}}},"security":[{"api_key":[]}]}},"/packages/{id}":{"get":{"operationId":"getPackage","summary":"gets a package and optionally objects that are associated with it","tags":["Packages"],"deprecated":false,"parameters":[{"name":"id","description":"package id","required":true,"in":"path","type":"string"},{"name":"include","description":"a csv of object types i.e. sources, files, view","required":true,"in":"query","type":"string"},{"name":"includeAncestors","description":"whether or not to include ancestors","required":true,"in":"query","type":"boolean"},{"name":"startAtEpoch","description":"if the package contains channels, reset the channels to start at 0","default":"false","required":false,"in":"query","type":"boolean"},{"name":"limit","description":"max number of dataset children (i.e. packages) returned","default":"100","required":false,"in":"query","type":"integer","format":"int32"},{"name":"offset","description":"offset used for pagination of children","default":"0","required":false,"in":"query","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PackageDTO"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updatePackage","summary":"updates a package","tags":["Packages"],"deprecated":false,"parameters":[{"name":"id","description":"package id (can be either a node id or an int id)","required":true,"in":"path","type":"string"},{"name":"body","description":"package node values to update","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdatePackageRequest"}},{"name":"updateStorage","description":"if set update this package's cached storage value","required":true,"in":"query","type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PackageDTO"}}},"security":[{"api_key":[]}]}},"/packages/{id}/annotations":{"get":{"operationId":"getAnnotations","summary":"get annotations for package","tags":["Packages"],"deprecated":false,"parameters":[{"name":"id","description":"the id of the annotated package","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetAnnotationsResponse"}}},"security":[{"api_key":[]}]}},"/packages/{id}/files":{"get":{"operationId":"getPackageFiles","summary":"Gets all files of a package of the given id, if no files exist, returns sources","tags":["Packages"],"deprecated":false,"parameters":[{"name":"id","description":"package id","required":true,"in":"path","type":"string"},{"name":"limit","description":"max number of files returned","default":"100","required":false,"in":"query","type":"integer","format":"int32"},{"name":"offset","description":"offset used for pagination of results","default":"0","required":false,"in":"query","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/FileDTO"}}}},"security":[{"api_key":[]}]}},"/packages/{id}/sources":{"get":{"operationId":"getPackageSources","summary":"gets all sources of a package of the given id","tags":["Packages"],"deprecated":true,"parameters":[{"name":"id","description":"package id","required":true,"in":"path","type":"string"},{"name":"limit","description":"max number of view files returned","default":"100","required":false,"in":"query","type":"integer","format":"int32"},{"name":"offset","description":"offset used for pagination of results","default":"0","required":false,"in":"query","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/FileDTO"}}}},"security":[{"api_key":[]}]}},"/packages/{id}/sources-paged":{"get":{"operationId":"getPackageSourcesPaged","summary":"gets all sources of a package of the given id in a paged response","tags":["Packages"],"deprecated":false,"parameters":[{"name":"id","description":"package id","required":true,"in":"path","type":"string"},{"name":"limit","description":"max number of view files returned","default":"100","required":false,"in":"query","type":"integer","format":"int32"},{"name":"offset","description":"offset used for pagination of results","default":"0","required":false,"in":"query","type":"integer","format":"int32"},{"name":"order-by","description":"which data field to sort results by","default":"Name","enum":[["Name","Size","CreatedAt"]],"required":false,"in":"query","type":"string"},{"name":"order-by-direction","description":"which data field to order the results by","default":"Asc","enum":[["Asc","Desc"]],"required":false,"in":"query","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PagedResponse[FileDTO]"}}},"security":[{"api_key":[]}]}},"/packages/{id}/storage":{"put":{"operationId":"putStorage","summary":"set storage for package. NOTE: this endpoint is deprecated and will go away in a future release (2.7.3)","tags":["Packages"],"deprecated":true,"parameters":[{"name":"body","description":"request body containing the new size of the package","required":true,"in":"body","schema":{"$ref":"#/definitions/SetStorageRequest"}},{"name":"id","description":"the integer id of the package to update","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/SetStorageResponse"}}},"security":[{"api_key":[]}]}},"/packages/{id}/view":{"get":{"operationId":"getPackageView","summary":"Gets view objects for a package of the given id, if no view objects exist, returns files, if no files exist, return sources","tags":["Packages"],"deprecated":false,"parameters":[{"name":"id","description":"package id","required":true,"in":"path","type":"string"},{"name":"limit","description":"max number of view files returned","default":"100","required":false,"in":"query","type":"integer","format":"int32"},{"name":"offset","description":"offset used for pagination of results","default":"0","required":false,"in":"query","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/FileDTO"}}}},"security":[{"api_key":[]}]}},"/packages/{packageId}/files/{id}":{"get":{"operationId":"getFile","summary":"returns a presigned s3 url for downloading a file","tags":["Packages"],"deprecated":false,"parameters":[{"name":"packageId","description":"the id of the package","required":true,"in":"path","type":"string"},{"name":"id","description":"the id of the file","required":true,"in":"path","type":"string"},{"name":"short","description":"If true, shorten the URL","default":"false","required":false,"in":"query","type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DownloadItemResponse"}}},"security":[{"api_key":[]}]}},"/token/":{"post":{"operationId":"createAPIToken","summary":"creates an API Token for the requesting User","tags":["API Token"],"deprecated":false,"parameters":[{"name":"body","description":"name of the API Token","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateTokenRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/APITokenSecretDTO"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getAPITokens","summary":"gets all the API Tokens the requesting User has access to","tags":["API Token"],"deprecated":false,"parameters":[],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/APITokenDTO"}}}},"security":[{"api_key":[]}]}},"/token/{uuid}":{"delete":{"operationId":"deleteAPIToken","summary":"deletes API Token if the requesting User has access to it","tags":["API Token"],"deprecated":false,"parameters":[{"name":"uuid","description":"API Token UUID","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"put":{"operationId":"updateAPIToken","summary":"updates the API Token if the requesting User has access to it","tags":["API Token"],"deprecated":false,"parameters":[{"name":"uuid","description":"API Token UUID","required":true,"in":"path","type":"string"},{"name":"body","description":"API Token Updates","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateTokenRequest"}}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/security/user/credentials/upload/{dataset}":{"get":{"operationId":"getTemporaryUploadCredentials","summary":"gets temporary credentials for a users folder in the s3 bucket[deprecated]","tags":["Security"],"deprecated":true,"parameters":[{"name":"dataset","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/timeseries/{id}/annotations/window":{"get":{"operationId":"getAllAnnotationsWindow","summary":"get aggregations of annotations based on a sliding window","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of the timeseries package to aggregate annotations for","required":true,"in":"path","type":"string"},{"name":"layerIds","description":"Ids of the layers the annotations belong to. Multiparameter - specify as layerIds=1&layerIds=2...","required":true,"in":"query","type":"array","items":{"type":"integer","format":"int32"}},{"name":"aggregation","description":"Aggregation function to run over the values of the annotations","enum":["count","average","avg"],"required":true,"in":"query","type":"string"},{"name":"start","description":"The starting time of the range to query over in microseconds (inclusive)","required":true,"in":"query","type":"integer","format":"int64"},{"name":"end","description":"The ending time of the the range to query over in microseconds (exclusive)","required":true,"in":"query","type":"integer","format":"int64"},{"name":"period","description":"The length of time to group the counts of annotations by in microseconds","required":true,"in":"query","type":"integer","format":"int64"},{"name":"channelIds","description":"list of channel ids If absent, use all channels. Multiparameter - specify as channelIds=abc&channelIds=def... ","required":false,"in":"query","type":"array","items":{"type":"string"}},{"name":"mergePeriods","description":"merge consecutive result periods together to reduce the size of the result payload","default":"false","required":false,"in":"query","type":"boolean"},{"name":"startAtEpoch","description":"Returned timestamps will be relative to the minimum package time","default":"false","required":false,"in":"query","type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/definitions/AnnotationAggregateWindowResult[Option[long]]"}}}}},"security":[{"api_key":[]}]}},"/timeseries/{id}/channels":{"post":{"operationId":"createChannel","summary":"saves channels to the time series package","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","required":true,"in":"path","type":"string"},{"name":"channel","required":true,"in":"body","schema":{"type":"array","items":{"$ref":"#/definitions/TimeSeriesChannelWriteRequest"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ChannelDTO"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getChannels","summary":"gets the channels for a time series package","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"startAtEpoch","default":"false","required":false,"in":"query","type":"boolean"},{"name":"id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ChannelDTO"}}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateChannels","summary":"update existing channel objects in the graph","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","required":true,"in":"path","type":"string"},{"name":"channels","required":true,"in":"body","schema":{"type":"array","items":{"$ref":"#/definitions/TimeSeriesChannelWriteRequest"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ChannelDTO"}}},"security":[{"api_key":[]}]}},"/timeseries/{id}/channels/{channelId}":{"delete":{"operationId":"deleteChannel","summary":"delete an existing channel object in the graph","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","required":true,"in":"path","type":"string"},{"name":"channelId","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"get":{"operationId":"getChannel","summary":"get a single channel that belongs to the time series package","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","required":true,"in":"path","type":"string"},{"name":"channelId","required":true,"in":"path","type":"string"},{"name":"startAtEpoch","default":"false","required":false,"in":"query","type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ChannelDTO"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateChannel","summary":"update an existing channel object in the graph","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","required":true,"in":"path","type":"string"},{"name":"channelId","required":true,"in":"path","type":"string"},{"name":"channel","required":true,"in":"body","schema":{"$ref":"#/definitions/TimeSeriesChannelWriteRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ChannelDTO"}}},"security":[{"api_key":[]}]}},"/timeseries/{id}/channels/{channelId}/properties":{"put":{"operationId":"updateChannelProperties","summary":"update an existing channel object's properties in the graph","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","required":true,"in":"path","type":"string"},{"name":"channelId","required":true,"in":"path","type":"string"},{"name":"properties","required":true,"in":"body","schema":{"type":"array","items":{"$ref":"#/definitions/ModelPropertyRO"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ChannelDTO"}}},"security":[{"api_key":[]}]}},"/timeseries/{id}/hasAnnotations":{"get":{"operationId":"hasAnnotations","summary":"returns true if any annotations exist for the time series package","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of the timeseries package to aggregate annotations for","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"boolean"}}},"security":[{"api_key":[]}]}},"/timeseries/{id}/layers":{"post":{"operationId":"createTimeSeriesLayer","summary":"create time series layer for use with the given layer","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of the time series to create this layer for","required":true,"in":"path","type":"string"},{"name":"body","description":"Properties of the layer to create","required":true,"in":"body","schema":{"$ref":"#/definitions/LayerRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/TimeSeriesLayer"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getLayers","summary":"Get all layers for a timeseries","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","required":true,"in":"path","type":"string"},{"name":"name","required":false,"in":"query","type":"string"},{"name":"limit","required":false,"in":"query","type":"integer","format":"int64"},{"name":"offset","required":false,"in":"query","type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PagedResponse[TimeSeriesLayer]"}}},"security":[{"api_key":[]}]}},"/timeseries/{id}/layers/{layerId}":{"delete":{"operationId":"deleteTimeSeriesLayer","summary":"delete layer for the given time series id","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of the time series this layer belongs to","required":true,"in":"path","type":"string"},{"name":"layerId","description":"Id of the layer to delete","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"get":{"operationId":"getTimeSeriesLayer","summary":"get a layer for the given time series id","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of the time series this layer belongs to","required":true,"in":"path","type":"string"},{"name":"layerId","description":"Id of the layer to retrieve","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/TimeSeriesLayer"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateTimeSeriesLayer","summary":"update layer for the given time series id","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of the time series this layer belongs to","required":true,"in":"path","type":"string"},{"name":"layerId","description":"Id of the layer to update","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","description":"Layer properties to update","required":true,"in":"body","schema":{"$ref":"#/definitions/LayerRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/TimeSeriesLayer"}}},"security":[{"api_key":[]}]}},"/timeseries/{id}/layers/{layerId}/annotations":{"delete":{"operationId":"deleteTimeSeriesAnnotations","summary":"delete the annotations with the given ids that belong to this time series package and layer","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Time series package id the annotation belongs to","required":true,"in":"path","type":"string"},{"name":"layerId","description":"Id of the layer the annotation belongs to","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","description":"Ids of the annotations to delete.","required":true,"in":"body","schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"post":{"operationId":"createTimeSeriesAnnotation","summary":"Create an annotation for the given time series id","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of the time series the annotation will belong to","required":true,"in":"path","type":"string"},{"name":"layerId","description":"Id of the time series layer the annotation will belong to","required":true,"in":"path","type":"string"},{"name":"startAtEpoch","description":"Timestamps in request will be relative to the minimum package time","default":"false","required":false,"in":"query","type":"boolean"},{"name":"body","description":"annotations to write","required":true,"in":"body","schema":{"$ref":"#/definitions/TimeSeriesAnnotationWriteRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/TimeSeriesAnnotation"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getTimeSeriesAnnotations","summary":"Get annotations based on query params","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of time series object to search in","required":true,"in":"path","type":"string"},{"name":"layerId","description":"Id of the layer the annotations belongs to","required":true,"in":"path","type":"integer","format":"int32"},{"name":"start","description":"Start time of search query in microseconds","required":true,"in":"query","type":"integer","format":"int64"},{"name":"end","description":"End time of search query in microseconds","required":true,"in":"query","type":"integer","format":"int64"},{"name":"includeLinks","description":"whether or not to include attached packages","default":"true","required":false,"in":"query","type":"boolean"},{"name":"channelIds","description":"list of channel ids (if absent, use all channels)","required":false,"in":"query","type":"array","items":{"type":"string"}},{"name":"limit","required":false,"in":"query","type":"integer","format":"int64"},{"name":"offset","required":false,"in":"query","type":"integer","format":"int64"},{"name":"layerName","description":"Annotation layer name (if absent, uses \"Default\" layer)","required":false,"in":"query","type":"string"},{"name":"startAtEpoch","description":"Returned timestamps will be relative to the minimum package time","default":"false","required":false,"in":"query","type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AnnotationResults"}}},"security":[{"api_key":[]}]}},"/timeseries/{id}/layers/{layerId}/annotations/window":{"get":{"operationId":"getAnnotationsWindow","summary":"get annotations based on a sliding window","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of the timeseries package to aggregate annotations for","required":true,"in":"path","type":"string"},{"name":"layerId","description":"Id of the layer the annotations belongs to","required":true,"in":"path","type":"integer","format":"int32"},{"name":"aggregation","description":"Aggregation function to run over the values of the annotations","enum":["count","average","avg"],"required":true,"in":"query","type":"string"},{"name":"start","description":"The starting time of the range to query over in microseconds (inclusive)","required":true,"in":"query","type":"integer","format":"int64"},{"name":"end","description":"The ending time of the the range to query over in microseconds (exclusive)","required":true,"in":"query","type":"integer","format":"int64"},{"name":"period","description":"The length of time to group the counts of annotations by in microseconds","required":true,"in":"query","type":"integer","format":"int64"},{"name":"channelIds","description":"list of channel ids (if absent, use all channels)","required":false,"in":"query","type":"array","items":{"type":"string"}},{"name":"mergePeriods","description":"merge consecutive result periods together to reduce the size of the resulting payload","default":"false","required":false,"in":"query","type":"boolean"},{"name":"startAtEpoch","description":"Returned timestamps will be relative to the minimum package time","default":"false","required":false,"in":"query","type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/AnnotationAggregateWindowResult[Option[long]]"}}}},"security":[{"api_key":[]}]}},"/timeseries/{id}/layers/{layerId}/annotations/{annotationId}":{"delete":{"operationId":"deleteTimeSeriesAnnotation","summary":"delete the annotation with the given id","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Time series package id the annotation belongs to","required":true,"in":"path","type":"string"},{"name":"layerId","description":"Id of the layer the annotation belongs to","required":true,"in":"path","type":"integer","format":"int32"},{"name":"annotationId","description":"Id of the annotation to delete","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"get":{"operationId":"getAnnotation","summary":"Get an annotation","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of the time series the annotation belongs to","required":true,"in":"path","type":"string"},{"name":"layerId","description":"Id of the layer the annotations belongs to","required":true,"in":"path","type":"integer","format":"int32"},{"name":"includeLinks","description":"whether or not to include attached packages","default":"true","required":false,"in":"query","type":"boolean"},{"name":"annotationId","description":"Id of the annotation to retrieve","required":true,"in":"path","type":"integer","format":"int32"},{"name":"startAtEpoch","description":"Returned timestamps will be relative to the minimum package time","default":"false","required":false,"in":"query","type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AnnotationResult"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateTimeSeriesAnnotation","summary":"Update an annotation","tags":["TimeSeries"],"deprecated":false,"parameters":[{"name":"id","description":"Id of the time series the annotation belongs to","required":true,"in":"path","type":"string"},{"name":"layerId","description":"Id of the layer the annotation belongs to","required":true,"in":"path","type":"integer","format":"int32"},{"name":"annotationId","description":"Id of the annotation to update","required":true,"in":"path","type":"integer","format":"int32"},{"name":"startAtEpoch","description":"Timestamps in request will be relative to the minimum package time","default":"false","required":false,"in":"query","type":"boolean"},{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/TimeSeriesAnnotationWriteRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/TimeSeriesAnnotation"}}},"security":[{"api_key":[]}]}},"/internal/datasets/{id}/touch":{"post":{"operationId":"touchDataSet","summary":"touch the updatedAt timestamp for a data set (Internal Use Only) [deprecated]","tags":["DataSetsInternal"],"deprecated":true,"parameters":[{"name":"id","description":"data set id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/collections/":{"post":{"operationId":"createCollection","summary":"creates a new collection that belongs to the current organization","tags":["Collections"],"deprecated":false,"parameters":[{"name":"body","description":"name of the new collection","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateCollectionRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ContributorDTO"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getCollections","summary":"get the collections that belong to an organization","tags":["Collections"],"deprecated":false,"parameters":[],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ContributorDTO"}}}},"security":[{"api_key":[]}]}},"/collections/{id}":{"put":{"operationId":"editCollection","summary":"changes the name of a collection that belongs to the current organization","tags":["Collections"],"deprecated":false,"parameters":[{"name":"id","description":"ID of the collection","required":true,"in":"path","type":"string"},{"name":"body","description":"new name of the collection","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateCollectionRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ContributorDTO"}}},"security":[{"api_key":[]}]}},"/webhooks/":{"post":{"operationId":"createWebhook","summary":"creates a new webhook integration for an organization","tags":["Webhooks"],"deprecated":false,"parameters":[{"name":"body","description":"properties for the new webhook including api url and secret key","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateWebhookRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/WebhookDTO"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getIntegrations","summary":"gets all integrations that a user has permission to and that belong to the given organization","tags":["Webhooks"],"deprecated":false,"parameters":[],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/WebhookDTO"}}}},"security":[{"api_key":[]}]}},"/webhooks/{id}":{"delete":{"operationId":"deleteWebhook","summary":"delete a webhook for an organization","tags":["Webhooks"],"deprecated":false,"parameters":[{"name":"id","description":"webhook id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int32"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getWebhook","summary":"get a webhook for an organization","tags":["Webhooks"],"deprecated":false,"parameters":[{"name":"id","description":"webhook id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/WebhookDTO"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateWebhook","summary":"update a webhook for an organization","tags":["Webhooks"],"deprecated":false,"parameters":[{"name":"id","description":"webhook id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","description":"updates to webhook properties","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateWebhookRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/WebhookDTO"}}},"security":[{"api_key":[]}]}},"/organizations/":{"get":{"operationId":"getOrganizations","summary":"get a logged in user's organizations","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"includeAdmins","description":"whether or not to include owners & admins","default":"true","required":false,"in":"query","type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetOrganizationsResponse"}}},"security":[{"api_key":[]}]}},"/organizations/{id}":{"get":{"operationId":"getOrganization","summary":"get an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"id","description":"organization id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ExpandedOrganizationResponse"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateOrganization","summary":"updates an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"id","description":"organization id","required":true,"in":"path","type":"string"},{"name":"organization","description":"organization to update","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateOrganization"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ExpandedOrganizationResponse"}}},"security":[{"api_key":[]}]}},"/organizations/{id}/members":{"post":{"operationId":"addToOrganization","summary":"adds members to an organization, notifies them over email","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"id","description":"organization id","required":true,"in":"path","type":"string"},{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/AddToOrganizationRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"object","additionalProperties":{"$ref":"#/definitions/AddUserResponse"}}}},"security":[{"api_key":[]}]},"get":{"operationId":"getMembers","summary":"get the members that belong to an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"id","description":"organization id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/UserDTO"}}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/custom-terms-of-service":{"get":{"operationId":"getCustomTermsOfService","summary":"Given a version, gets the custom terms of service for an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"Organization ID","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"string"}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/data-use-agreements":{"post":{"operationId":"createDataUseAgreement","summary":"Create a new data use agreement for the organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"Organization ID","required":true,"in":"path","type":"string"},{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateDataUseAgreementRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DataUseAgreementDTO"}}}},"security":[{"api_key":[]}]},"get":{"operationId":"getDataUseAgreement","summary":"Get the data use agreements for the organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"Organization ID","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DataUseAgreementDTO"}}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/data-use-agreements/{agreementId}":{"delete":{"operationId":"deleteDataUseAgreement","summary":"Delete a new data use agreement for the organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"Organization ID","required":true,"in":"path","type":"string"},{"name":"agreementId","description":"Data Use Agreement ID","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DataUseAgreementDTO"}}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateDataUseAgreement","summary":"Update a new data use agreement for the organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"Organization ID","required":true,"in":"path","type":"string"},{"name":"agreementId","description":"Data Use Agreement ID","required":true,"in":"path","type":"string"},{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateDataUseAgreementRequest"}}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/dataset-status":{"post":{"operationId":"createDatasetStatus","summary":"Create a dataset status for an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"Organization ID","required":true,"in":"path","type":"string"},{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/DatasetStatusRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetStatusDTO"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getDatasetStatus","summary":"Get the dataset status options for an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"Organization ID","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DatasetStatusDTO"}}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/dataset-status/{datasetStatusId}":{"delete":{"operationId":"deleteDatasetStatus","summary":"Delete a dataset status for an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"Organization ID","required":true,"in":"path","type":"string"},{"name":"datasetStatusId","description":"Dataset Status ID","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetStatusDTO"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateDatasetStatus","summary":"Update a dataset status for an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"Organization ID","required":true,"in":"path","type":"string"},{"name":"datasetStatusId","description":"Dataset Status ID","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/DatasetStatusRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DatasetStatusDTO"}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/invites":{"get":{"operationId":"getOrganizationInvites","summary":"get all invites that belong to this organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/UserInviteDTO"}}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/invites/{id}":{"delete":{"operationId":"deleteOrganizationInvite","summary":"delete an invite to a particular organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","required":true,"in":"path","type":"string"},{"name":"id","description":"id of the invite to delete","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"put":{"operationId":"refreshOrganizationInvite","summary":"refresh an invite to a particular organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","required":true,"in":"path","type":"string"},{"name":"id","description":"id of the invite to refresh","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AddUserResponse"}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/members/{id}":{"delete":{"operationId":"removeFromOrganization","summary":"removes a member from an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"organization id","required":true,"in":"path","type":"string"},{"name":"id","description":"member id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"put":{"operationId":"updateMember","summary":"update a member for an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"organization id","required":true,"in":"path","type":"string"},{"name":"id","description":"member id","required":true,"in":"path","type":"string"},{"name":"user","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateMemberRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserDTO"}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/teams":{"post":{"operationId":"createTeam","summary":"creates a new team in an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"organization id","required":true,"in":"path","type":"string"},{"name":"team","description":"team to create","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateGroupRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ExpandedTeamResponse"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getTeams","summary":"get the teams that belong to an organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"organization id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ExpandedTeamResponse"}}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/teams/{id}":{"delete":{"operationId":"deleteTeam","summary":"deletes a team","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"organization id","required":true,"in":"path","type":"string"},{"name":"id","description":"team id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"get":{"operationId":"getTeam","summary":"gets the team for the organization","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"organization id","required":true,"in":"path","type":"string"},{"name":"id","description":"team id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ExpandedTeamResponse"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateTeam","summary":"updates a team","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"organization id","required":true,"in":"path","type":"string"},{"name":"id","description":"team id","required":true,"in":"path","type":"string"},{"name":"team","description":"team to modify","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateGroupRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/TeamDTO"}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/teams/{id}/members":{"post":{"operationId":"addToTeam","summary":"adds a member to a team, notifies them over email","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"organization id","required":true,"in":"path","type":"string"},{"name":"id","description":"team id","required":true,"in":"path","type":"string"},{"name":"ids","required":true,"in":"body","schema":{"$ref":"#/definitions/AddToTeamRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/UserDTO"}}}},"security":[{"api_key":[]}]},"get":{"operationId":"getTeamMembers","summary":"get the members that belong to a team","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"organization id","required":true,"in":"path","type":"string"},{"name":"id","description":"team id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/UserDTO"}}}},"security":[{"api_key":[]}]}},"/organizations/{organizationId}/teams/{teamId}/members/{id}":{"delete":{"operationId":"removeFromTeam","summary":"removes a member from a team","tags":["Organizations"],"deprecated":false,"parameters":[{"name":"organizationId","description":"organization id","required":true,"in":"path","type":"string"},{"name":"teamId","description":"team id","required":true,"in":"path","type":"string"},{"name":"id","description":"member id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]}},"/contributors/":{"post":{"operationId":"createContributor","summary":"creates a new contributor that belongs to the current organization","tags":["Contributors"],"deprecated":false,"parameters":[{"name":"body","description":"name and properties of the new contributor","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateContributorRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ContributorDTO"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getContributors","summary":"get the contributors that belong to an organization","tags":["Contributors"],"deprecated":false,"parameters":[],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ContributorDTO"}}}},"security":[{"api_key":[]}]}},"/contributors/{id}":{"get":{"operationId":"getContributor","summary":"gets a contributor","tags":["Contributors"],"deprecated":false,"parameters":[{"name":"id","description":"contributor id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ContributorDTO"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateContributor","summary":"updates a contributor that belongs to the current organization","tags":["Contributors"],"deprecated":false,"parameters":[{"name":"id","description":"contributor id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","description":"contributor's properties to be updated","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateContributorRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ContributorDTO"}}},"security":[{"api_key":[]}]}},"/user/":{"get":{"operationId":"getCurrentUser","summary":"Returns the current user","tags":["User"],"deprecated":false,"parameters":[],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserDTO"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateUser","summary":"update an existing user","tags":["User"],"deprecated":false,"parameters":[{"name":"user","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateUserRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserDTO"}}},"security":[{"api_key":[]}]}},"/user/custom-terms-of-service":{"put":{"operationId":"acceptCustomTermsOfService","summary":"marks the user as having accepted a custom terms of service","tags":["User"],"deprecated":false,"parameters":[{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/AcceptCustomTermsOfServiceRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserDTO"}}},"security":[{"api_key":[]}]}},"/user/email":{"put":{"operationId":"updateUserEmail","summary":"update an existing user's email address","tags":["User"],"deprecated":false,"parameters":[{"name":"user","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateUserRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserDTO"}}},"security":[{"api_key":[]}]}},"/user/email/{email}":{"get":{"operationId":"getUserByEmail","summary":"gets a user by email address","tags":["User"],"deprecated":false,"parameters":[{"name":"email","description":"email of the user requested","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserDTO"}}},"security":[{"api_key":[]}]}},"/user/merge/{userId}":{"put":{"operationId":"merge user accounts","summary":"merge user accounts","tags":["User"],"deprecated":false,"parameters":[{"name":"userId","description":"id of the user requested","required":true,"in":"path","type":"string"},{"name":"newUserToken","required":true,"in":"body","schema":{"$ref":"#/definitions/UserMergeRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserDTO"}}},"security":[{"api_key":[]}]}},"/user/orcid":{"delete":{"operationId":"deleteORCID","summary":"delete orcid for the current user","tags":["User"],"deprecated":false,"parameters":[],"responses":{"200":{"description":"No response"}},"security":[{"api_key":[]}]},"post":{"operationId":"createORCID","summary":"associate an ORCID with a user using the orcid authorization code","tags":["User"],"deprecated":false,"parameters":[{"name":"orcid","required":true,"in":"body","schema":{"$ref":"#/definitions/ORCIDRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/OrcidDTO"}}},"security":[{"api_key":[]}]}},"/user/pennsieve-terms-of-service":{"put":{"operationId":"updatePennsieveTermsOfService","summary":"update an existing user's pennsieve terms of service version","tags":["User"],"deprecated":false,"parameters":[{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdatePennsieveTermsOfServiceRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserDTO"}}},"security":[{"api_key":[]}]}},"/user/{userId}":{"get":{"operationId":"getUser","summary":"gets a user (Internal Use Only)","tags":["User"],"deprecated":false,"parameters":[{"name":"userId","description":"id of the user requested","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserDTO"}}},"security":[{"api_key":[]}]}},"/account/":{"post":{"operationId":"createUserFromInvite","summary":"create a new user from a user invite","tags":["Account"],"deprecated":false,"parameters":[{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateUserRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateUserResponse"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateUserFromInvite","summary":"update user from a user invite","tags":["Account"],"deprecated":false,"parameters":[{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateUserRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateUserResponse"}}},"security":[{"api_key":[]}]}},"/account/sign-up":{"post":{"operationId":"signUpUser","summary":"Self-service sign up a new user account","tags":["Account"],"deprecated":false,"parameters":[{"name":"body","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateUserWithRecaptchaRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateUserResponse"}}},"security":[{"api_key":[]}]}},"/datacanvas/":{"post":{"operationId":"createDataCanvas","summary":"creates a data-canvas","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"body","description":"name and properties of new data-canvas","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateDataCanvasRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataCanvasDTO"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getOwnedDataCanvases","summary":"gets the data-canvases owner by the user","tags":["DataCanvas"],"deprecated":false,"parameters":[],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DataCanvasDTO"}}}},"security":[{"api_key":[]}]}},"/datacanvas/download-manifest":{"post":{"operationId":"download-manifest","summary":"returns the tree structure, including signed s3 urls and the corresponding paths that will make up an archive to download","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"body","description":"nodeIds: packages to include in the download, fileIds: optional, only return the provided files","required":true,"in":"body","schema":{"$ref":"#/definitions/DownloadRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DownloadManifestDTO"}}},"security":[{"api_key":[]}]}},"/datacanvas/get/organization/{orgNodeId}":{"get":{"operationId":"getPublicDataCanvasesForAnOrganization","summary":"gets all public data-canvas for an organization","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"orgNodeId","description":"the organization node id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DataCanvasDTO"}}}},"security":[{"api_key":[]}]}},"/datacanvas/get/{nodeId}":{"get":{"operationId":"getPublicDataCanvas","summary":"gets a public data-canvas regardless of organization","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"nodeId","description":"the data-canvas node id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataCanvasDTO"}}},"security":[{"api_key":[]}]}},"/datacanvas/{canvasId}/folder":{"post":{"operationId":"createDataCanvasFolder","summary":"create a data-canvas folder","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"canvasId","description":"data-canvas id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","description":"name of folder and parent folder id (optional)","required":true,"in":"body","schema":{"$ref":"#/definitions/CreateDataCanvasFolder"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataCanvasFolderDTO"}}},"security":[{"api_key":[]}]}},"/datacanvas/{canvasId}/folder/paths":{"get":{"operationId":"getDataCanvasFolderPaths","summary":"get a data-canvas folder paths","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"canvasId","description":"data-canvas id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DataCanvasFolderPath"}}}},"security":[{"api_key":[]}]}},"/datacanvas/{canvasId}/folder/{folderId}":{"delete":{"operationId":"deleteDataCanvasFolder","summary":"delete a data-canvas folder and its sub-folders","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"canvasId","description":"data-canvas id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"folderId","description":"folder id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Done"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getDataCanvasFolder","summary":"get a data-canvas folder","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"canvasId","description":"data-canvas id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"folderId","description":"folder id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataCanvasFolderDTO"}}},"security":[{"api_key":[]}]}},"/datacanvas/{canvasId}/folder/{folderId}/move":{"put":{"operationId":"moveDataCanvasFolder","summary":"move a data-canvas folder","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"canvasId","description":"data-canvas id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"folderId","description":"folder id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","description":"the folder's current parent and new parent","required":true,"in":"body","schema":{"$ref":"#/definitions/MoveDataCanvasFolder"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataCanvasFolderDTO"}}},"security":[{"api_key":[]}]}},"/datacanvas/{canvasId}/folder/{folderId}/package":{"post":{"operationId":"addPackageToDataCanvas","summary":"add a package to a data-canvas","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"canvasId","description":"data-canvas id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"folderId","description":"folder id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","description":"package to attach to data-canvas","required":true,"in":"body","schema":{"$ref":"#/definitions/AttachPackageRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PackageDTO"}}},"security":[{"api_key":[]}]}},"/datacanvas/{canvasId}/folder/{folderId}/package/{packageId}":{"delete":{"operationId":"removePackageFromDataCanvas","summary":"remove a package from a data-canvas","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"canvasId","description":"data-canvas id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"folderId","description":"data-canvas folder id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"packageId","description":"package id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Done"}}},"security":[{"api_key":[]}]}},"/datacanvas/{canvasId}/folder/{folderId}/rename":{"put":{"operationId":"renameDataCanvasFolder","summary":"rename a data-canvas folder","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"canvasId","description":"data-canvas id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"folderId","description":"folder id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","description":"the folder's current name and new name","required":true,"in":"body","schema":{"$ref":"#/definitions/RenameDataCanvasFolder"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataCanvasFolderDTO"}}},"security":[{"api_key":[]}]}},"/datacanvas/{id}":{"delete":{"operationId":"deleteDataCanvas","summary":"delete a data-canvas","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"id","description":"data-canvas id","required":true,"in":"path","type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Done"}}},"security":[{"api_key":[]}]},"get":{"operationId":"getDataCanvas","summary":"gets a data-canvas","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"id","description":"data-canvas id","required":true,"in":"path","type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataCanvasDTO"}}},"security":[{"api_key":[]}]},"put":{"operationId":"updateDataCanvas","summary":"update a data-canvas","tags":["DataCanvas"],"deprecated":false,"parameters":[{"name":"id","description":"data-canvas id","required":true,"in":"path","type":"integer","format":"int32"},{"name":"body","description":"name and properties of new data-canvas","required":true,"in":"body","schema":{"$ref":"#/definitions/UpdateDataCanvasRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DataCanvasDTO"}}},"security":[{"api_key":[]}]}}},"definitions":{"PublicDatasetDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"sourceDatasetId":{"type":"integer","format":"int32"},"name":{"type":"string"},"description":{"type":"string"},"ownerId":{"type":"integer","format":"int32"},"ownerFirstName":{"type":"string"},"ownerLastName":{"type":"string"},"ownerOrcid":{"type":"string"},"organizationName":{"type":"string"},"organizationId":{"type":"integer","format":"int32"},"license":{"$ref":"#/definitions/License"},"tags":{"type":"array","items":{"type":"string"}},"version":{"type":"integer","format":"int32"},"revision":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int64"},"modelCount":{"type":"array","items":{"$ref":"#/definitions/ModelCount"}},"fileCount":{"type":"integer","format":"int64"},"recordCount":{"type":"integer","format":"int64"},"uri":{"type":"string"},"arn":{"type":"string"},"status":{"$ref":"#/definitions/PublishStatus"},"doi":{"type":"string"},"banner":{"type":"string"},"readme":{"type":"string"},"changelog":{"type":"string"},"contributors":{"type":"array","items":{"$ref":"#/definitions/PublicContributorDto"}},"collections":{"type":"array","items":{"$ref":"#/definitions/PublicCollectionDto"}},"externalPublications":{"type":"a
[...]
